
.container {
    max-width: 1200px;
    margin: 20px auto;
    display: flex;
    flex-direction: column;
}
.main{ background:#f7f8ff;}
.filter-bar {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

.filter-section {
    margin-bottom: 15px;
}

.filter-section span {
    display: inline-block;
    margin-bottom: 10px;
    font-weight: bold;
    font-size: 18px;
    padding-right:20px;
}

.filter-section button {
    margin-right: 10px;
    margin-bottom: 10px;
    padding: 8px 16px;
    background-color: #fff;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.filter-section button.active {
    background-color: #007bff;
    color: #fff;
}

.content-container {
    display: flex;
}

.main-content {
    flex: 1;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-right: 20px;
}

.course-list {
    display: grid;
    /*grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));*/
    /*gap: 20px;*/
    padding-bottom: 28px;
}

.course-item {
    display: flex;
    background-color: #f9f9f9;
    /*border-radius: 8px;*/
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.course-item img {
    width: 249px;
    height: 140px;
    object-fit: cover;
}

.course-info {
    padding: 10px;
    flex: 1;
}

.course-info h3 {
    padding-left: 20px;
    /*margin-bottom: 45px;*/
    font-size: 16px;

}

.course-info p {
    padding-left: 25px;
    font-size: 14px;
    color: #666;
}

.sidebar {
    width: 280px;
    height: 458px;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.sidebar-section {
    margin-bottom: 20px;
}

.sidebar-section h3 {
    margin-bottom: 15px;
    padding-bottom: 10px;
    border-bottom: 1px solid #e0e0e0;
    font-size: 18px;
}
.hot-icon::before {
    width: 22px;
    height: 22px;
    display: inline-block;
    vertical-align: text-bottom;
    background-image: url("/static/web/images/icon16.png");
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

.sidebar-course {
    display: flex;
    margin-bottom: 15px;
    align-items: center;
}

.sidebar-course img {
    width: 136px;
    height: 77px;
    object-fit: cover;
    margin-right: 10px;
    border-radius: 4px;
}
/* 头部样式 */
.header {
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: flex-start;
    border-bottom: 1px solid #eaeaea; /* 底部横线 */
}

.header-left {
    margin-right: 20px;
}

.header-left img {
    max-width: 200px;
}

.header-right {
    flex: 1;
}

.header-right h1 {
    margin: 0;
    font-size: 20px;
}

.header-right span {
    display: block;
    margin: 5px 0;
    color: #666;
    font-size: 14px;
}

/* 内容区域样式 */
.content {
    text-align: center;
    padding: 40px 20px;
    background-size: cover;
}

.content h1 {
    font-size: 36px;
    margin: 20px 0;
}

.content h2 {
    font-size: 24px;
    color: #555;
    margin: 10px 0;
}

.content p {
    font-size: 16px;
    color: #888;
}

/* 视频播放器样式 */
.video-container {
    margin: 30px auto;
    max-width: 800px;
    background: #000;
    border-radius: 8px;
    overflow: hidden;
}

video {
    width: 100%;
    height: auto;
    display: block;
}
